Bug 168454 - Default route always deleted
Default route always deleted
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: rp-pppoe (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-16 03:41 EDT by Brian Passante
Modified: 2015-01-07 19:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-11 10:48:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Passante 2005-09-16 03:41:21 EDT
Description of problem:
When you set DEFROUTE=no in the ifcfg-ppp0 file, the default route is always
deleted when you start then interface.
It seems the pb is in the adsl-connect script which reset the DEFROUTE to "".

I made the patch which seems to work for me :

--- adsl-connect        2005-09-15 18:48:45.000000000 +0200
+++ adsl-connect        2005-09-15 18:53:02.000000000 +0200
@@ -240,6 +240,10 @@
# Standard PPP options we always use
PPP_STD_OPTIONS="$IPPARAM $LINKNAME $PLUGIN_OPTS noipdefault noauth
default-asyncmap $DEFROUTE hide-password nodetach $PEERDNS mtu 1492 mru 1492
noaccomp noccp nobsdcomp nodeflate nopcomp novj novjccomp user $USER
lcp-echo-interval $LCP_INTERVAL lcp-echo-failure $LCP_FAILURE $PPPD_EXTRA"

+if test "$DEFROUTE" == "" ; then
+       DEFROUTE="no"
+fi
+
# PPPoE invocation
PPPOE_CMD="$PPPOE -p $PPPOE_PIDFILE -I $ETH -T $PPPOE_TIMEOUT -U $PPPOE_SYNC
$CLAMPMSS $ACNAME $SERVICENAME $PPPOE_EXTRA"
if test "$DEBUG" != "" ; then 



Version-Release number of selected component (if applicable):
rp-pppoe-3.5-4.1

How reproducible:
Always

Steps to Reproduce:
1. Set the DEFROUTE=no in a ppp interface
2. Start it
3. The def route is deleted
  
Actual results:


Expected results:


Additional info:
Comment 1 Radu - Eosif Mihailescu 2005-11-10 17:35:55 EST
(In reply to comment #0) 
> Description of problem: 
> When you set DEFROUTE=no in the ifcfg-ppp0 file, the default route is always 
> deleted when you start then interface. 
> It seems the pb is in the adsl-connect script which reset the DEFROUTE to 
"". 
> (...) 
 
I have verified the problem to exist in both Taroon Update 6 and Nahant Update  
2. It also appears in fully-updated Shrike and fully-updated Valhalla. It  
probably also appears in Fedora (all flavours) and other RedHat/Fedora -based  
distributions such as CentOS (from whom I also have two positives, for both  
4.1 and 4.2). 
 
I should also mention that Mihai Becsek <mihai AT abitare DOT ro> discovered 
and reported this problem to me and I have only researched its spread among 
RedHat-alikes besides his own CentOS 4.2 instance and acted as a liaison/proxy 
to this Bugzilla instance on his behalf. 
Comment 2 Ngo Than 2005-11-11 10:48:31 EST
this bug is the same 152014 and already fixed in CVS. It will be included in next
RHEL5 release. Many thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.